import { API, Characteristic, DynamicPlatformPlugin, Logger, PlatformAccessory, PlatformConfig, Service } from 'homebridge';
/**
 *  Configuration fields available in PlatformConfig
 *
 *  name: string                           // Name given to the device
 *  host: string                           // IP or hostname
 *  username: string                       // Username used for authentication
 *  password: string                       // Password used for authentication
 *  outdoorTemperature: boolean            // Flag to enable outdoorTemperature monitoring
 *  slowThreshold: number                  // Number of milliseconds before reporting a slow connection
 *  minSetpoint: number                    // Minimum value for the setpoint temperature
 *  maxSetpoint: number                    // Maximum value for the setpoint temperature
 *  syncPeriod: number                     // Number of milliseconds between sensor sync requests
 */
/**
 * MitsubishiHeavyAirconPlatform
 *
 * TODO: add description
 */
export declare class MitsubishiHeavyAirconPlatform implements DynamicPlatformPlugin {
    readonly log: Logger;
    readonly config: PlatformConfig;
    readonly api: API;
    readonly Service: typeof Service;
    readonly Characteristic: typeof Characteristic;
    private readonly accessories;
    constructor(log: Logger, config: PlatformConfig, api: API);
    /**
     * This function is invoked when homebridge restores cached accessories from disk at startup.
     * It should be used to setup event handlers for characteristics and update respective values.
     */
    configureAccessory(accessory: PlatformAccessory): void;
    private discoverDevice;
    private addDevice;
}
//# sourceMappingURL=platform.d.ts.map